Index: 56_upgrade_sqlserver_database.sql
===================================================================
--- 56_upgrade_sqlserver_database.sql	(revision 27200)
+++ 56_upgrade_sqlserver_database.sql	(working copy)
@@ -1,10 +1,39 @@
 use %TvLibrary%
 GO
 
-ALTER TABLE Program
-  DROP COLUMN notify 
+DROP INDEX [IX_TuningDetail_idChannel] ON [dbo].[TuningDetail] WITH ( ONLINE = OFF )
 GO
 
+CREATE NONCLUSTERED INDEX [IX_TuningDetail_idChannel] ON [dbo].[TuningDetail] 
+(
+	[idChannel] ASC
+)
+INCLUDE ( [idTuning],
+[name],
+[provider],
+[channelType],
+[channelNumber],
+[frequency],
+[countryId],
+[isRadio],
+[isTv],
+[networkId],
+[transportId],
+[serviceId],
+[pmtPid],
+[freeToAir],
+[modulation],
+[polarisation],
+[symbolrate],
+[diseqc],
+[switchingFrequency],
+[bandwidth],
+[majorChannel],
+[minorChannel],
+[videoSource],
+[tuningSource]) WITH (STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
+GO
+
 ALTER TABLE TuningDetail
   DROP COLUMN pcrPid  
 GO
Index: 57_upgrade_sqlserver_database.sql
===================================================================
--- 57_upgrade_sqlserver_database.sql	(revision 27200)
+++ 57_upgrade_sqlserver_database.sql	(working copy)
@@ -1,6 +1,23 @@
 USE %TvLibrary%
 GO
 
+DROP INDEX [IX_Channel_IsTV] ON [dbo].[Channel] WITH ( ONLINE = OFF )
+GO
+
+CREATE NONCLUSTERED INDEX [IX_Channel_IsTV] ON [dbo].[Channel] 
+(
+	[isTv] ASC,
+	[sortOrder] ASC
+)
+INCLUDE ( [idChannel],
+[isRadio],
+[timesWatched],
+[totalTimeWatched],
+[grabEpg],
+[lastGrabTime],
+[visibleInGuide]) WITH (STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
+GO
+
 ALTER TABLE channel DROP COLUMN "name"
 GO
 
